#!/usr/bin/python3

import subprocess, re

class UpdateStatus:
	def __init__(self, agentConfig, checksLogger, rawConfig):
		self.agentConfig = agentConfig
		self.checksLogger = checksLogger
		self.rawConfig = rawConfig

	def run(self):
		data = {}

		process = subprocess.Popen('/usr/lib/update-notifier/apt-check',
					   shell=True,
					   stdout=subprocess.PIPE,
					   stderr=subprocess.STDOUT)

		for line in process.stdout.readlines():
			numbers = line.split(';')
			if (len(numbers)==2):
				data['availableUpdates'] = numbers[0]
				data['securityUpdates'] = numbers[1]

		retval = process.wait()

		return data

if __name__ == '__main__':
	su = UpdateStatus(None, None, None)
	print su.run()
